Bug 965306 - add brick gives an unknown error
add brick gives an unknown error
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc-cli (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Sahina Bose
Dustin Tsang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 16:56 EDT by Dustin Tsang
Modified: 2015-07-13 00:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 11:53:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (9.23 KB, text/plain)
2013-05-20 16:56 EDT, Dustin Tsang
no flags Details

  None (edit)
Description Dustin Tsang 2013-05-20 16:56:59 EDT
Created attachment 750746 [details]
engine log

Description of problem:

Running the command to add a brick yields: 
unknown error: 'str' object has no attribute '_Base__context' displayed on the cli console.



Version-Release number of selected component (if applicable):
rhsc-bb1 and RHS-2.1-20130515.n.0-RHS-x86_64-DVD1.iso

How reproducible:

100%

Steps to Reproduce:
1. create 2 hosts in a single cluster
2. add a volume in the down state
3. run the add brick command:
add brick --cluster-identifier d96f3b4b-3cf2-439c-b1b9-7920e3da0857 --glustervolume-identifier 743a8bc8-e47e-4574-ac94-b48db4450cd2 --brick "brick.server_id=4d69c239-6b68-43 
ca-903a-9c5b31dab9d2,brick.brick_dir=/tmp/20130520165329364927299489"

Actual results:
unknown error: 'str' object has no attribute '_Base__context' displayed on the cli console.

Brick is added.

Expected results:
error message preventing user from adding brick when host has not started.


Additional info:
Comment 4 Dustin Tsang 2013-06-04 11:53:39 EDT
i'm no longer able to reproduce this

Note You need to log in before you can comment on or make changes to this bug.